﻿using System;

namespace Lily.TestHelper.UI
{
	public interface IWindowDriver
	{
		string CurrentFormName { get; }
		void ScreenCaptureOnFailure(Action action);
		void ClickButton(string value);
		void ClickTab(string name);
		void ClickLink(string value);
		void AssertCurrentTab(string name);
		string GetValue(string name);
		void SetValue(string name, string value);
		ITableDriver SelectTable(string name);
		void CaptureScreenShot(string testname);
		IWindowDriver SelectForm(string formName);
		IWindowDriver SelectChildModal(string formName);
		void CloseForm();
	}
}